- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes

# QImageTextKeyLang Class Reference

Search for all occurrences

## Detailed Description

Definition at line 69 of file qimage.h.

`#include <qimage.h>`

List of all members.

## Public Member Functions
| QImageTextKeyLang (const char *k, const char *l)
| QImageTextKeyLang ()
bool | operator< (const QImageTextKeyLang &other) const
bool | operator== (const QImageTextKeyLang &other) const
bool | operator!= (const QImageTextKeyLang &other) const
## Public Attributes
QByteArray | key
QByteArray | lang

## Constructor & Destructor Documentation

QImageTextKeyLang | ( | const char * | k,
|  | const char * | l
| ) |  | `[inline]`

Definition at line 71 of file qimage.h.

    : key(k), lang(l) { }

QImageTextKeyLang | ( |  | ) | `[inline]`

Definition at line 72 of file qimage.h.

    { }

## Member Function Documentation

bool operator< | ( | const QImageTextKeyLang & | other | ) | const `[inline]`

Definition at line 77 of file qimage.h.

            { return key < other.key || (key==other.key && lang < other.lang); }

bool operator== | ( | const QImageTextKeyLang & | other | ) | const `[inline]`

Definition at line 79 of file qimage.h.

            { return key==other.key && lang==other.lang; }

bool operator!= | ( | const QImageTextKeyLang & | other | ) | const `[inline]`

Definition at line 81 of file qimage.h.

            { return !operator==(other); }

## Member Data Documentation

QByteArray key

Search for all occurrences

Definition at line 74 of file qimage.h.

QByteArray lang

Search for all occurrences

Definition at line 75 of file qimage.h.

The documentation for this class was generated from the following file:

- QtGui/qimage.h

QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang
QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang QImageTextKeyLang